View Issue Details

IDProjectCategoryView StatusLast Update
0001748SymmetricDSTaskpublic2014-06-16 20:27
ReporterchensonAssigned Tochenson 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version3.6.0 
Target Version3.6.0Fixed in Version3.6.0 
Summary0001748: Remove auto increment from sym_trigger_hist and sym_extract_request. Use sym_sequence to get the pks.
DescriptionRemove auto increment from sym_trigger_hist and sym_extract_request. Use sym_sequence to get the pks.

This is in support of adding the SAP HANNA dialect
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: master 3e884ecf

2014-06-05 13:43:26

chenson

Details Diff
0001748: Remove auto increment from sym_trigger_hist and sym_extract_request. Use sym_sequence to get the pks.
0001748
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/AbstractSymmetricEngine.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/common/Constants.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/DataExtractorService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/SequenceService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/SequenceServiceSqlMap.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/TriggerRouterService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/TriggerRouterServiceSqlMap.java Diff File
mod - symmetric-core/src/main/resources/symmetric-schema.xml Diff File

Issue History

Date Modified Username Field Change
2014-06-05 13:42 chenson New Issue
2014-06-05 13:42 chenson Status new => assigned
2014-06-05 13:42 chenson Assigned To => chenson
2014-06-05 14:00 Changeset attached => SymmetricDS trunk r8354
2014-06-05 14:05 chenson Status assigned => resolved
2014-06-05 14:05 chenson Fixed in Version => 3.6.0
2014-06-05 14:05 chenson Resolution open => fixed
2014-06-16 20:27 chenson Status resolved => closed
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master 3e884ecf